" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,:,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-greedy-eval-p*
syn keyword tl_keyword contained *listener-hist-len* *listener-multi-line-p* *listener-pprint-p* *listener-sel-inclusive-p*
syn keyword tl_keyword contained *load-path* *package* *package-alist* *param-macro*
syn keyword tl_keyword contained *place-clobber-expander* *place-delete-expander* *place-macro* *place-update-expander*
syn keyword tl_keyword contained *pprint-flo-format* *print-base* *print-circle* *print-flo-digits*
syn keyword tl_keyword contained *print-flo-format* *print-flo-precision* *random-state* *random-warmup*
syn keyword tl_keyword contained *rec-source-loc* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *trace-output*
syn keyword tl_keyword contained *txr-version* *unhandled-hook* + -
syn keyword tl_keyword contained / /= : :abandoned
syn keyword tl_keyword contained :addr :apf :append :args
syn keyword tl_keyword contained :atime :auto :awk-again :awk-file
syn keyword tl_keyword contained :awk-rec :begin :begin-file :blksize
syn keyword tl_keyword contained :blocks :bool :byte-oriented :cdigit
syn keyword tl_keyword contained :chars :cint :close :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :dec :decline :dev :digit
syn keyword tl_keyword contained :downcase :end :end-file :env
syn keyword tl_keyword contained :eql-based :equal-based :explicit-no :fallback
syn keyword tl_keyword contained :fd :fence :filter :fini
syn keyword tl_keyword contained :finish :float :form :from-current
syn keyword tl_keyword contained :from-end :from-start :from_html :frombase64
syn keyword tl_keyword contained :fromhtml :frompercent :fromurl :fun
syn keyword tl_keyword contained :function :gap :gid :greedy
syn keyword tl_keyword contained :hex :hextoint :inf :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :list :lists :local
syn keyword tl_keyword contained :longest :mandatory :maxgap :maxtimes
syn keyword tl_keyword contained :method :mid :mingap :mintimes
syn keyword tl_keyword contained :mode :mtime :name :named
syn keyword tl_keyword contained :next-spec :nlink :nothrow :oct
syn keyword tl_keyword contained :outf :outp :output :postinit
syn keyword tl_keyword contained :prio :rdev :real-time :reflect
syn keyword tl_keyword contained :repeat-spec :resolve :rfilt :set
syn keyword tl_keyword contained :set-file :shortest :size :space
syn keyword tl_keyword contained :static :str :string :symacro
syn keyword tl_keyword contained :text :times :tlist :to_html
syn keyword tl_keyword contained :tobase64 :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :upcase :use :use-from
syn keyword tl_keyword contained :use-syms :userdata :var :vars
syn keyword tl_keyword contained :weak-keys :weak-vals :whole :word-char
syn keyword tl_keyword contained :wrap < <= =
syn keyword tl_keyword contained > >= abort abs
syn keyword tl_keyword contained abs-path-p acons acons-new aconsql-new
syn keyword tl_keyword contained acos ado af-inet af-inet6
syn keyword tl_keyword contained af-unix af-unspec ai-addrconfig ai-all
syn keyword tl_keyword contained ai-canonname ai-numerichost ai-numericserv ai-passive
syn keyword tl_keyword contained ai-v4mapped alet align alignof
syn keyword tl_keyword contained alist-nremove alist-remove all and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* apply
syn keyword tl_keyword contained aret array arraysize ash
syn keyword tl_keyword contained asin assoc assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atom
syn keyword tl_keyword contained awk base-name base64-decode base64-encode
syn keyword tl_keyword contained base64-stream-dec base64-stream-enc bchar be-double
syn keyword tl_keyword contained be-float be-int16 be-int32 be-int64
syn keyword tl_keyword contained be-uint16 be-uint32 be-uint64 bignum-len
syn keyword tl_keyword contained bignump bindable bit blkcnt-t
syn keyword tl_keyword contained blksize-t block block* bool
syn keyword tl_keyword contained boundp break-str brkint bs0
syn keyword tl_keyword contained bs1 bsdly bstr bstr-d
syn keyword tl_keyword contained buf buf-carray buf-d buf-get-char
syn keyword tl_keyword contained buf-get-cptr buf-get-double buf-get-float buf-get-i16
syn keyword tl_keyword contained buf-get-i32 buf-get-i64 buf-get-i8 buf-get-int
syn keyword tl_keyword contained buf-get-long buf-get-short buf-get-u16 buf-get-u32
syn keyword tl_keyword contained buf-get-u64 buf-get-u8 buf-get-uchar buf-get-uint
syn keyword tl_keyword contained buf-get-ulong buf-get-ushort buf-put-char buf-put-cptr
syn keyword tl_keyword contained buf-put-double buf-put-float buf-put-i16 buf-put-i32
syn keyword tl_keyword contained buf-put-i64 buf-put-i8 buf-put-int buf-put-long
syn keyword tl_keyword contained buf-put-short buf-put-u16 buf-put-u32 buf-put-u64
syn keyword tl_keyword contained buf-put-u8 buf-put-uchar buf-put-uint buf-put-ulong
syn keyword tl_keyword contained buf-put-ushort buf-set-length buf-trim bufp
syn keyword tl_keyword contained build build-list butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car carray carray-blank
syn keyword tl_keyword contained carray-buf carray-buf-sync carray-cptr carray-dup
syn keyword tl_keyword contained carray-free carray-get carray-getz carray-list
syn keyword tl_keyword contained carray-num carray-own carray-pun carray-put
syn keyword tl_keyword contained carray-putz carray-ref carray-refset carray-replace
syn keyword tl_keyword contained carray-set-length carray-sub carray-type carray-unum
syn keyword tl_keyword contained carray-vec carrayp caseq caseq*
syn keyword tl_keyword contained caseql caseql* casequal casequal*
syn keyword tl_keyword contained cat-str cat-streams cat-vec catch
syn keyword tl_keyword contained catch* catenated-stream-p catenated-stream-push cbaud
syn keyword tl_keyword contained cbaudex cdaaaar cdaaadr cdaaar
syn keyword tl_keyword contained cdaadar cdaaddr cdaadr cdaar
syn keyword tl_keyword contained cdadaar cdadadr cdadar cdaddar
syn keyword tl_keyword contained cdadddr cdaddr cdadr cdar
syn keyword tl_keyword contained cddaaar cddaadr cddaar cddadar
syn keyword tl_keyword contained cddaddr cddadr cddar cdddaar
syn keyword tl_keyword contained cdddadr cdddar cddddar cdddddr
syn keyword tl_keyword contained cddddr cdddr cddr cdr
syn keyword tl_keyword contained ceil ceil-rem chain chand
syn keyword tl_keyword contained char chdir chmod chr-digit
syn keyword tl_keyword contained chr-int chr-isalnum chr-isalpha chr-isascii
syn keyword tl_keyword contained chr-isblank chr-iscntrl chr-isdigit chr-isgraph
syn keyword tl_keyword contained chr-islower chr-isprint chr-ispunct chr-isspace
syn keyword tl_keyword contained chr-isunisp chr-isupper chr-isxdigit chr-num
syn keyword tl_keyword contained chr-str chr-str-set chr-tolower chr-toupper
syn keyword tl_keyword contained chr-xdigit chrp clamp clear-dirty
syn keyword tl_keyword contained clear-error clear-struct clearhash clocal
syn keyword tl_keyword contained clock-t clockid-t close-stream closelog
syn keyword tl_keyword contained closure cmp-str cmspar collect-each
syn keyword tl_keyword contained collect-each* comb command-get command-get-buf
syn keyword tl_keyword contained command-get-lines command-get-string command-put command-put-buf
syn keyword tl_keyword contained command-put-lines command-put-string compile compile-defr-warning
syn keyword tl_keyword contained compile-error compile-file compile-only compile-toplevel
syn keyword tl_keyword contained compile-warning compl-span-str cond conda
syn keyword tl_keyword contained condlet cons conses conses*
syn keyword tl_keyword contained consp constantp copy copy-alist
syn keyword tl_keyword contained copy-buf copy-carray copy-cons copy-fun
syn keyword tl_keyword contained copy-hash copy-list copy-str copy-struct
syn keyword tl_keyword contained copy-vec cos count-if countq
syn keyword tl_keyword contained countql countqual cptr cptr-cast
syn keyword tl_keyword contained cptr-free cptr-int cptr-null cptr-obj
syn keyword tl_keyword contained cptr-type cptr-zap cptrp cr0
syn keyword tl_keyword contained cr1 cr2 cr3 crdly
syn keyword tl_keyword contained cread crtscts crypt cs5
syn keyword tl_keyword contained cs6 cs7 cs8 csize
syn keyword tl_keyword contained cstopb cum-norm-dist daemon dec
syn keyword tl_keyword contained defer-warning defex deffi deffi-cb
syn keyword tl_keyword contained deffi-sym deffi-type deffi-var define-accessor
syn keyword tl_keyword contained define-modify-macro define-param-expander define-place-macro defmacro
syn keyword tl_keyword contained defmeth defpackage defparm defparml
syn keyword tl_keyword contained defplace defstruct defsymacro defun
syn keyword tl_keyword contained defvar defvarl del delay
syn keyword tl_keyword contained delete-package dev-t diff digits
syn keyword tl_keyword contained digpow dir-name disassemble display-width
syn keyword tl_keyword contained divides dlclose dlopen dlsym
syn keyword tl_keyword contained dlsym-checked dlvsym dlvsym-checked do
syn keyword tl_keyword contained dohash doloop doloop* dotimes
syn keyword tl_keyword contained double downcase-str drop drop-until
syn keyword tl_keyword contained drop-while dump-deferred-warnings dup dupfd
syn keyword tl_keyword contained dwim each each* echo
syn keyword tl_keyword contained echoctl echoe echok echoke
syn keyword tl_keyword contained echonl echoprt eighth elemsize
syn keyword tl_keyword contained elemtype empty endgrent endp
syn keyword tl_keyword contained endpwent ends-with ensure-dir enum
syn keyword tl_keyword contained enumed env env-fbind env-fbindings
syn keyword tl_keyword contained env-hash env-next env-vbind env-vbindings
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained errno error eval eval-only
syn keyword tl_keyword contained evenp exception-subtype-map exception-subtype-p exec
syn keyword tl_keyword contained exit exit* exp expand
syn keyword tl_keyword contained expand* expand-left expand-right expand-with-free-refs
syn keyword tl_keyword contained expt exptmod extproc f$
syn keyword tl_keyword contained f^ f^$ false fboundp
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-lines file-append-string file-get
syn keyword tl_keyword contained file-get-buf file-get-lines file-get-string file-put
syn keyword tl_keyword contained file-put-buf file-put-lines file-put-string fileno
syn keyword tl_keyword contained fill-buf fill-carray fill-obj filter-equal
syn keyword tl_keyword contained filter-string-tree finalize find find-frame
syn keyword tl_keyword contained find-frames find-if find-max find-min
syn keyword tl_keyword contained find-package find-struct-type first fixnum-max
syn keyword tl_keyword contained fixnum-min fixnump flatcar flatcar*
syn keyword tl_keyword contained flatten flatten* flet flip
syn keyword tl_keyword contained flipargs flo-dig flo-down flo-epsilon
syn keyword tl_keyword contained flo-get-round-mode flo-int flo-max flo-max-dig
syn keyword tl_keyword contained flo-min flo-near flo-set-round-mode flo-str
syn keyword tl_keyword contained flo-up flo-zero float floatp
syn keyword tl_keyword contained floor floor-rem flush-stream flusho
syn keyword tl_keyword contained fmakunbound fmt fnm-casefold fnm-leading-dir
syn keyword tl_keyword contained fnm-noescape fnm-pathname fnm-period fnmatch
syn keyword tl_keyword contained for for* force force-break
syn keyword tl_keyword contained fork format fourth fr$
syn keyword tl_keyword contained fr^ fr^$ from frr
syn keyword tl_keyword contained fsblkcnt-t fsfilcnt-t fstat ftw
syn keyword tl_keyword contained ftw-actionretval ftw-chdir ftw-continue ftw-d
syn keyword tl_keyword contained ftw-depth ftw-dnr ftw-dp ftw-f
syn keyword tl_keyword contained ftw-mount ftw-ns ftw-phys ftw-skip-siblings
syn keyword tl_keyword contained ftw-skip-subtree ftw-sl ftw-sln ftw-stop
syn keyword tl_keyword contained fun func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gcd gen
syn keyword tl_keyword contained gen-hash-seed generate gensym gequal
syn keyword tl_keyword contained get-buf-from-stream get-byte get-char get-clobber-expander
syn keyword tl_keyword contained get-delete-expander get-error get-error-str get-frames
syn keyword tl_keyword contained get-hash-userdata get-indent get-indent-mode get-line
syn keyword tl_keyword contained get-lines get-list-from-stream get-obj get-sig-handler
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getopts getpid
syn keyword tl_keyword contained getppid getpwent getpwnam getpwuid
syn keyword tl_keyword contained getresgid getresuid getuid gid-t
syn keyword tl_keyword contained ginterate giterate glob glob-altdirfunc
syn keyword tl_keyword contained glob-brace glob-err glob-mark glob-nocheck
syn keyword tl_keyword contained glob-noescape glob-nomagic glob-nosort glob-onlydir
syn keyword tl_keyword contained glob-period glob-tilde glob-tilde-check go
syn keyword tl_keyword contained grade greater group-by group-reduce
syn keyword tl_keyword contained gun handle handle* handler-bind
syn keyword tl_keyword contained hash hash-alist hash-begin hash-construct
syn keyword tl_keyword contained hash-count hash-diff hash-eql hash-equal
syn keyword tl_keyword contained hash-from-pairs hash-isec hash-keys hash-list
syn keyword tl_keyword contained hash-next hash-pairs hash-proper-subset hash-revget
syn keyword tl_keyword contained hash-subset hash-uni hash-update hash-update-1
syn keyword tl_keyword contained hash-userdata hash-values hashp have
syn keyword tl_keyword contained hlet hlet* html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl iapply icanon
syn keyword tl_keyword contained icrnl id-t identity ido
syn keyword tl_keyword contained iexten if ifa iff
syn keyword tl_keyword contained iffi iflet ignbrk igncr
syn keyword tl_keyword contained ignerr ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback inaddr-any
syn keyword tl_keyword contained inaddr-loopback inc inc-indent indent-code
syn keyword tl_keyword contained indent-data indent-off inhash inlcr
syn keyword tl_keyword contained ino-t inpck int int-chr
syn keyword tl_keyword contained int-cptr int-flo int-ptr-t int-str
syn keyword tl_keyword contained int16 int32 int64 int8
syn keyword tl_keyword contained integerp intern interp-fun-p interpose
syn keyword tl_keyword contained inv-cum-norm invoke-catch ip ipf
syn keyword tl_keyword contained iread isec isig isqrt
syn keyword tl_keyword contained istrip itimer-prov itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon juxt keep-if keep-if*
syn keyword tl_keyword contained keepq keepql keepqual key-t
syn keyword tl_keyword contained keyword-package keywordp kill labels
syn keyword tl_keyword contained lambda last lazy-str lazy-str-force
syn keyword tl_keyword contained lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons lazy-stringp
syn keyword tl_keyword contained lcm lcons lcons-fun lconsp
syn keyword tl_keyword contained ldiff le-double le-float le-int16
syn keyword tl_keyword contained le-int32 le-int64 le-uint16 le-uint32
syn keyword tl_keyword contained le-uint64 len length length-buf
syn keyword tl_keyword contained length-carray length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-var-p lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-str list-vec list-vector
syn keyword tl_keyword contained listp load load-time loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log2 logand logcount logior
syn keyword tl_keyword contained lognot logtest logtrunc logxor
syn keyword tl_keyword contained long longlong lop lset
syn keyword tl_keyword contained lstat m$ m^ m^$
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-lisp1
syn keyword tl_keyword contained macrolet major make-buf make-buf-stream
syn keyword tl_keyword contained make-catenated-stream make-env make-hash make-lazy-cons
syn keyword tl_keyword contained make-lazy-struct make-like make-package make-random-state
syn keyword tl_keyword contained make-similar-hash make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-delegate-stream
syn keyword tl_keyword contained make-struct-type make-sym make-time make-time-utc
syn keyword tl_keyword contained make-trie make-union make-zstruct makedev
syn keyword tl_keyword contained makunbound mapcar mapcar* mapdo
syn keyword tl_keyword contained mapf maphash mappend mappend*
syn keyword tl_keyword contained maprend maprod mask match-fun
syn keyword tl_keyword contained match-regex match-regex-right match-regst match-regst-right
syn keyword tl_keyword contained match-str match-str-tree max mboundp
syn keyword tl_keyword contained member member-if memp memq
syn keyword tl_keyword contained memql memqual merge meth
syn keyword tl_keyword contained method min minor minusp
syn keyword tl_keyword contained mismatch mkdir mknod mkstring
syn keyword tl_keyword contained mlet mmakunbound mod mode-t
syn keyword tl_keyword contained multi multi-sort n-choose-k n-perm-k
syn keyword tl_keyword contained nconc neq neql nequal
syn keyword tl_keyword contained new nexpand-left nil nilf
syn keyword tl_keyword contained ninth nl0 nl1 nldly
syn keyword tl_keyword contained nlink-t noflsh none not
syn keyword tl_keyword contained notf nreconc nreverse nth
syn keyword tl_keyword contained nthcdr nthlast null nullify
syn keyword tl_keyword contained num-carray num-chr num-str numberp
syn keyword tl_keyword contained nzerop oand obtain obtain*
syn keyword tl_keyword contained obtain*-block obtain-block ocrnl oddp
syn keyword tl_keyword contained ofdel off-t offsetof ofill
syn keyword tl_keyword contained olcuc onlcr onlret onocr
syn keyword tl_keyword contained op open-command open-directory open-file
syn keyword tl_keyword contained open-fileno open-files open-files* open-pipe
syn keyword tl_keyword contained open-process open-socket open-socket-pair open-tail
syn keyword tl_keyword contained openlog opip opost opt
syn keyword tl_keyword contained opthelp or orf package-alist
syn keyword tl_keyword contained package-fallback-list package-foreign-symbols package-local-symbols package-name
syn keyword tl_keyword contained package-symbols packagep pad parenb
syn keyword tl_keyword contained parmrk parodd partition partition*
syn keyword tl_keyword contained partition-by path-blkdev-p path-cat path-chrdev-p
syn keyword tl_keyword contained path-dir-p path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-same-object path-sep-chars path-setgid-p path-setuid-p
syn keyword tl_keyword contained path-sock-p path-sticky-p path-strictly-private-to-me-p path-symlink-p
syn keyword tl_keyword contained path-writable-to-me-p pdec pendin perm
syn keyword tl_keyword contained pid-t pinc pipe place-form-p
syn keyword tl_keyword contained placelet placelet* plist-to-alist plusp
syn keyword tl_keyword contained poll poll-err poll-in poll-nval
syn keyword tl_keyword contained poll-out poll-pri poll-rdband poll-rdhup
syn keyword tl_keyword contained poll-wrband poly pop pos
syn keyword tl_keyword contained pos-if pos-max pos-min posq
syn keyword tl_keyword contained posql posqual pppred ppred
syn keyword tl_keyword contained pprinl pprint pprof pred
syn keyword tl_keyword contained prinl print prod prof
syn keyword tl_keyword contained prog prog* prog1 progn
syn keyword tl_keyword contained promisep prop proper-list-p proper-listp
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained pushhash pushnew put-buf put-byte
syn keyword tl_keyword contained put-carray put-char put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quote r$
syn keyword tl_keyword contained r^ r^$ raise rand
syn keyword tl_keyword contained random random-fixnum random-float random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rassoc rassql rcomb
syn keyword tl_keyword contained rcons read read-until-match readlink
syn keyword tl_keyword contained real-time-stream-p realpath record-adapter reduce-left
syn keyword tl_keyword contained reduce-right ref refset regex-compile
syn keyword tl_keyword contained regex-from-trie regex-parse regex-prefix-match regex-source
syn keyword tl_keyword contained regexp register-exception-subtypes register-tentative-def regsub
syn keyword tl_keyword contained rehome-sym relate release-deferred-warnings remhash
syn keyword tl_keyword contained remove-if remove-if* remove-path remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-list replace-str replace-struct replace-vec
syn keyword tl_keyword contained reset-struct rest ret retf
syn keyword tl_keyword contained return return* return-from revappend
syn keyword tl_keyword contained reverse rfind rfind-if rlcp
syn keyword tl_keyword contained rlcp-tree rlet rlist rlist*
syn keyword tl_keyword contained rmember rmember-if rmemq rmemql
syn keyword tl_keyword contained rmemqual rmismatch rotate round
syn keyword tl_keyword contained round-rem rperm rplaca rplacd
syn keyword tl_keyword contained rpoly rpos rpos-if rposq
syn keyword tl_keyword contained rposql rposqual rr rra
syn keyword tl_keyword contained rsearch rslot rtld-deepbind rtld-global
syn keyword tl_keyword contained rtld-lazy rtld-local rtld-nodelete rtld-noload
syn keyword tl_keyword contained rtld-now run s-ifblk s-ifchr
syn keyword tl_keyword contained s-ifdir s-ififo s-iflnk s-ifmt
syn keyword tl_keyword contained s-ifreg s-ifsock s-irgrp s-iroth
syn keyword tl_keyword contained s-irusr s-irwxg s-irwxo s-irwxu
syn keyword tl_keyword contained s-isgid s-isuid s-isvtx s-iwgrp
syn keyword tl_keyword contained s-iwoth s-iwusr s-ixgrp s-ixoth
syn keyword tl_keyword contained s-ixusr sbit search search-regex
syn keyword tl_keyword contained search-regst search-str search-str-tree second
syn keyword tl_keyword contained seek-stream select self-load-path self-path
syn keyword tl_keyword contained seqp set set-diff set-hash-userdata
syn keyword tl_keyword contained set-indent set-indent-mode set-package-fallback-list set-sig-handler
syn keyword tl_keyword contained setegid setenv seteuid setgid
syn keyword tl_keyword contained setgrent setgroups sethash setitimer
syn keyword tl_keyword contained setlogmask setpwent setresgid setresuid
syn keyword tl_keyword contained setuid seventh sh shift
syn keyword tl_keyword contained short shuffle sig-abrt sig-alrm
syn keyword tl_keyword contained sig-atomic-t sig-bus sig-check sig-chld
syn keyword tl_keyword contained sig-cont sig-fpe sig-hup sig-ill
syn keyword tl_keyword contained sig-int sig-io sig-iot sig-kill
syn keyword tl_keyword contained sig-pipe sig-poll sig-prof sig-pwr
syn keyword tl_keyword contained sig-quit sig-segv sig-stkflt sig-stop
syn keyword tl_keyword contained sig-sys sig-term sig-trap sig-tstp
syn keyword tl_keyword contained sig-ttin sig-ttou sig-urg sig-usr1
syn keyword tl_keyword contained sig-usr2 sig-vtalrm sig-winch sig-xcpu
syn keyword tl_keyword contained sig-xfsz sign-extend signum sin
syn keyword tl_keyword contained sixth size-t size-vec sizeof
syn keyword tl_keyword contained slet slot slotp slots
syn keyword tl_keyword contained slotset sock-accept sock-bind sock-cloexec
syn keyword tl_keyword contained sock-connect sock-dgram sock-family sock-listen
syn keyword tl_keyword contained sock-nonblock sock-peer sock-recv-timeout sock-send-timeout
syn keyword tl_keyword contained sock-set-peer sock-shutdown sock-stream sock-type
syn keyword tl_keyword contained some sort sort-group source-loc
syn keyword tl_keyword contained source-loc-str span-str special-operator-p special-var-p
syn keyword tl_keyword contained spl splice split split*
syn keyword tl_keyword contained split-str split-str-set sqrt square
syn keyword tl_keyword contained ssize-t sssucc ssucc starts-with
syn keyword tl_keyword contained stat static-slot static-slot-ensure static-slot-home
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str
syn keyword tl_keyword contained str-d str-in6addr str-in6addr-net str-inaddr
syn keyword tl_keyword contained str-inaddr-net str< str<= str=
syn keyword tl_keyword contained str> str>= stream-get-prop stream-set-prop
syn keyword tl_keyword contained streamp string-extend string-lt stringp
syn keyword tl_keyword contained struct struct-from-args struct-from-plist struct-get-initfun
syn keyword tl_keyword contained struct-get-postinitfun struct-set-initfun struct-set-postinitfun struct-type
syn keyword tl_keyword contained struct-type-p structp sub sub-list
syn keyword tl_keyword contained sub-str sub-vec subtypep succ
syn keyword tl_keyword contained sum super super-method suspend
syn keyword tl_keyword contained swap symacrolet symbol-function symbol-macro
syn keyword tl_keyword contained symbol-name symbol-package symbol-value symbolp
syn keyword tl_keyword contained symlink sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian%
syn keyword tl_keyword contained sys:%bin-op% sys:%bin-ops% sys:%block-using-funs% sys:%call-op%
syn keyword tl_keyword contained sys:%file-suff-rx% sys:%gcall-op% sys:%imm-width% sys:%lev-bits%
syn keyword tl_keyword contained sys:%lev-size% sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev%
syn keyword tl_keyword contained sys:%max-sm-lev-idx% sys:%max-v-lev% sys:%nary-ops% sys:%oc-code%
syn keyword tl_keyword contained sys:%oc-hash% sys:%oc-list% sys:%oc-list-builder% sys:%package-manip%
syn keyword tl_keyword contained sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs% sys:%test-funs-neg%
syn keyword tl_keyword contained sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv% sys:%test-opcode%
syn keyword tl_keyword contained sys:%tlo-ver% sys:*emit* sys:*eval* sys:*load-recursive*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*trace-hash* sys:*trace-level*
syn keyword tl_keyword contained sys:abscond* sys:abscond-from sys:analyze-argtypes sys:apply
syn keyword tl_keyword contained sys:asm-error sys:assumed-fun sys:awk%--rng sys:awk%--rng+
syn keyword tl_keyword contained sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check
syn keyword tl_keyword contained sys:awk-error sys:awk-expander sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-redir sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error sys:bits
syn keyword tl_keyword contained sys:bits-to-obj sys:build-key-list sys:call-delete-expander sys:capture-cont
syn keyword tl_keyword contained sys:catch sys:check-slot sys:check-struct sys:circref
syn keyword tl_keyword contained sys:compare-swap sys:compat sys:compile-in-toplevel sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-let sys:ctx-form
syn keyword tl_keyword contained sys:ctx-name sys:deffi-cb-expander sys:deffi-cb-unsafe sys:define-method
syn keyword tl_keyword contained sys:defopcode sys:defopcode-derived sys:disassemble-cdf sys:dlib-expr
syn keyword tl_keyword contained sys:do-conv sys:do-path-test sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:each-op sys:enc-small-op sys:ensure-op-arg
syn keyword tl_keyword contained sys:env-to-let sys:eval-err sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-handle sys:expand-params
syn keyword tl_keyword contained sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-mods sys:expr
syn keyword tl_keyword contained sys:extract-keys sys:extract-keys-p sys:fbind sys:fmt-flex
syn keyword tl_keyword contained sys:fmt-join sys:fmt-simple sys:for-op sys:gc
syn keyword tl_keyword contained sys:gc-set-delta sys:get-buf-common sys:get-fun-getter-setter sys:get-mb
syn keyword tl_keyword contained sys:get-parser sys:get-place-macro sys:get-vb sys:getopts-error
syn keyword tl_keyword contained sys:handle-bad-syntax sys:hlet-expand sys:if-to-cond sys:in6addr-condensed-text
syn keyword tl_keyword contained sys:is-label sys:l1-setq sys:l1-val sys:lambda-apply-transform
syn keyword tl_keyword contained sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind
syn keyword tl_keyword contained sys:lisp1-setq sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc
syn keyword tl_keyword contained sys:lnew sys:load-time-lit sys:loc sys:make-anon-package
syn keyword tl_keyword contained sys:make-struct-lit sys:make-struct-type sys:mark-special sys:maybe-mov
syn keyword tl_keyword contained sys:misleading-ref-check sys:name-str sys:neg sys:obtain-impl
syn keyword tl_keyword contained sys:op-alpha-rename sys:op-expand sys:op-meta-p sys:open-compile-streams
syn keyword tl_keyword contained sys:operand-to-exp sys:operand-to-sym sys:opip-expand sys:opt-dash
syn keyword tl_keyword contained sys:opt-err sys:parse-compound-operand sys:parse-operand sys:parser-eof
syn keyword tl_keyword contained sys:parser-errors sys:path-access sys:path-examine sys:path-test
syn keyword tl_keyword contained sys:path-test-mode sys:pl-expand sys:placelet-1 sys:propagate-ancestor
syn keyword tl_keyword contained sys:prune-missing-inits sys:qquote sys:quasi sys:quasilist
syn keyword tl_keyword contained sys:r-s-let-expander sys:reg-expand-nongreedy sys:reg-optimize sys:register-opcode
syn keyword tl_keyword contained sys:register-simple-accessor sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:rt-defmacro sys:rt-defsymacro sys:rt-defun sys:rt-defvarl
syn keyword tl_keyword contained sys:set-hash-rec-limit sys:set-hash-str-limit sys:set-macro-ancestor sys:setq
syn keyword tl_keyword contained sys:setqf sys:shut-rd sys:shut-rdwr sys:shut-wr
syn keyword tl_keyword contained sys:slot-types sys:small-op-p sys:small-op-to-sym sys:splice
syn keyword tl_keyword contained sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit sys:switch
syn keyword tl_keyword contained sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander sys:system-symbol-p
syn keyword tl_keyword contained sys:test-clear sys:test-dec sys:test-inc sys:test-set
syn keyword tl_keyword contained sys:top-fb sys:top-mb sys:top-vb sys:tr*
syn keyword tl_keyword contained sys:trace sys:trace-canonicalize-name sys:trace-enter sys:trace-leave
syn keyword tl_keyword contained sys:trace-redefine-check sys:trfm sys:try-load sys:txr-case-impl
syn keyword tl_keyword contained sys:unquote sys:untrace sys:upenv sys:var
syn keyword tl_keyword contained sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec
syn keyword tl_keyword contained sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel
syn keyword tl_keyword contained sys:vm-make-desc sys:wdwrap sys:with-lev-idx syslog
syn keyword tl_keyword contained system-package t tab0 tab1
syn keyword tl_keyword contained tab2 tab3 tabdly tagbody
syn keyword tl_keyword contained take take-until take-while tan
syn keyword tl_keyword contained tb tc tcdrain tcflow
syn keyword tl_keyword contained tcflush tcgetattr tciflush tcioff
syn keyword tl_keyword contained tcioflush tcion tcoflush tcooff
syn keyword tl_keyword contained tcoon tcsadrain tcsaflush tcsanow
syn keyword tl_keyword contained tcsendbreak tcsetattr tentative-def-exists tenth
syn keyword tl_keyword contained test-clear-dirty test-dirty test-set-indent-mode tf
syn keyword tl_keyword contained third throw throwf time
syn keyword tl_keyword contained time-fields-local time-fields-utc time-parse time-parse-local
syn keyword tl_keyword contained time-parse-utc time-string-local time-string-utc time-struct-local
syn keyword tl_keyword contained time-struct-utc time-t time-usec to
syn keyword tl_keyword contained tofloat tofloatz toint tointz
syn keyword tl_keyword contained tok tok-str tok-where tostop
syn keyword tl_keyword contained tostring tostringp tprint trace
syn keyword tl_keyword contained transpose tree-bind tree-case tree-find
syn keyword tl_keyword contained trie-add trie-compress trie-lookup-begin trie-lookup-feed-char
syn keyword tl_keyword contained trie-value-at trim-str true trunc
syn keyword tl_keyword contained trunc-rem truncate-stream tuples txr-case
syn keyword tl_keyword contained txr-if txr-path txr-version txr-when
syn keyword tl_keyword contained typecase typedef typeof typep
syn keyword tl_keyword contained ubit uchar uid-t uint
syn keyword tl_keyword contained uint-ptr-t uint16 uint32 uint64
syn keyword tl_keyword contained uint8 ulong ulonglong umask
syn keyword tl_keyword contained umeth umethod uname unget-byte
syn keyword tl_keyword contained unget-char uni unintern union
syn keyword tl_keyword contained union-get union-in union-members union-out
syn keyword tl_keyword contained union-put uniq unique unless
syn keyword tl_keyword contained unquote unsetenv until until*
syn keyword tl_keyword contained untrace unum-carray unuse-package unuse-sym
syn keyword tl_keyword contained unwind-protect upcase-str upd update
syn keyword tl_keyword contained uref url-decode url-encode use
syn keyword tl_keyword contained use-package use-sym user-package ushort
syn keyword tl_keyword contained usl usleep uslot val
syn keyword tl_keyword contained vdiscard vec vec-carray vec-list
syn keyword tl_keyword contained vec-push vec-set-length vecref vector
syn keyword tl_keyword contained vector-list vectorp veof veol
syn keyword tl_keyword contained veol2 verase vintr vkill
syn keyword tl_keyword contained vlnext vm-fun-p vmin void
syn keyword tl_keyword contained vquit vreprint vstart vstop
syn keyword tl_keyword contained vsusp vswtc vt0 vt1
syn keyword tl_keyword contained vtdly vtime vwerase w-continued
syn keyword tl_keyword contained w-coredump w-exitstatus w-ifcontinued w-ifexited
syn keyword tl_keyword contained w-ifsignaled w-ifstopped w-nohang w-stopsig
syn keyword tl_keyword contained w-termsig w-untraced wait wchar
syn keyword tl_keyword contained weave when whena whenlet
syn keyword tl_keyword contained where while while* whilet
syn keyword tl_keyword contained width width-check window-map window-mappend
syn keyword tl_keyword contained wint-t with-clobber-expander with-compilation-unit with-delete-expander
syn keyword tl_keyword contained with-dyn-lib with-gensyms with-hash-iter with-in-buf-stream
syn keyword tl_keyword contained with-in-string-byte-stream with-in-string-stream with-objects with-out-buf-stream
syn keyword tl_keyword contained with-out-string-stream with-out-strlist-stream with-resources with-slots
syn keyword tl_keyword contained with-stream with-update-expander wrap wrap*
syn keyword tl_keyword contained wstr wstr-d xcase yield
syn keyword tl_keyword contained yield-from zap zarray zero-fill
syn keyword tl_keyword contained zerop zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_error "#[^HSR]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained
syn match txr_circ "#[0-9]\+[#=]"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSR]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,txr_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign_par matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,aret,array,arraysize,awk,bit,block,block*,bool,buf,buf-d,build,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,collect-each,collect-each*,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-sym,deffi-type,deffi-var,define-accessor,define-modify-macro,define-param-expander,define-place-macro,defmacro,defmeth,defpackage,defparm,defparml,defplace,defstruct,defsymacro,defun,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,elemsize,elemtype,enum,enumed,equot,eval-only,ffi,flet,flip,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,ifa,iflet,ignerr,ignwarn,in-package,ip,labels,lambda,lcons,let,let*,load-time,lop,lset,mac-param-bind,macro-time,macrolet,mlet,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pdec,pinc,placelet,placelet*,pop,pprof,prof,prog,prog*,prog1,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,pushnew,ret,return,return-from,rlet,rslot,sbit,sizeof,slet,splice,struct,suspend,symacrolet,sys:abscond-from,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:catch,sys:compare-swap,sys:compile-in-toplevel,sys:conv,sys:deffi-cb-unsafe,sys:defopcode,sys:defopcode-derived,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:lnew,sys:load-time-lit,sys:path-examine,sys:path-test,sys:placelet-1,sys:splice,sys:struct-lit,sys:switch,sys:test-clear,sys:test-dec,sys:test-inc,sys:test-set,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:with-lev-idx,tagbody,tb,tc,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,whena,whenlet,while,while*,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
